/**
* define as propriedades defult para uma modal.
*
* $bgColor: cor de fundo
* $width: largura do container com o conteudo
* $contentBg: cor de fundo do conteudo
*
*/
@mixin mixin-modal(
  $bgColor,
  $width,
  $contentBg: $whiteColor,
  $class--active: 'show'
) {
  z-index: 5;
  display: none;

  &:after {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: $bgColor;
    mix-blend-mode: multiply;
    z-index: 6;
  }

  & > :first-child {
    position: fixed;
    background-color: $contentBg;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: $width;
    isolation: auto;
    z-index: 7;
  }

  &.#{$class--active} {
    display: block;
  }
}
